import {useState, useCallback, useEffect} from 'react';
import auth from '@react-native-firebase/auth';

const useLoggedIn = () => {
	const [isInit, setIsInit] = useState(true);
	const [user, setUser] = useState(null);

	const onChange = useCallback(
		user => {
			setUser(user);
			setIsInit(false);
		},
		[setUser, setIsInit],
	);

	useEffect(() => {
		const unsubscribe = auth().onAuthStateChanged(onChange);
		return unsubscribe;
	}, []);

	return [isInit, user];
};

export default useLoggedIn;
