import {useCallback} from 'react';
import {ToastAndroid} from 'react-native';
import auth from '@react-native-firebase/auth';

const useLogin = () => {
	const logIn = useCallback((user, pass) => {
		return auth()
			.signInWithEmailAndPassword(user, pass)
			.then(() => {
				ToastAndroid.show('Successfully logged in', ToastAndroid.SHORT);
			})
			.catch(e => {
				ToastAndroid.show('Invalid username or password', ToastAndroid.SHORT);
				throw e;
			});
	}, []);

	return logIn;
};

export default useLogin;
