import {useCallback} from 'react';
import {ToastAndroid} from 'react-native';
import auth from '@react-native-firebase/auth';

const useLogout = () => {
	const logOut = useCallback(() => {
		return auth()
			.signOut()
			.then(() => {
				ToastAndroid.show('Signed out', ToastAndroid.SHORT);
			});
	}, []);

	return logOut;
};

export default useLogout;
