import {useCallback} from 'react';
import {ToastAndroid} from 'react-native';
import auth from '@react-native-firebase/auth';

const useSignup = () => {
	const signUp = useCallback((user, pass) => {
		return auth()
			.createUserWithEmailAndPassword(user, pass)
			.then(() => {
				ToastAndroid.show('Successfully registered!', ToastAndroid.SHORT);
			})
			.catch(e => {
				if (e.code == 'auth/email-already-in-use') {
					ToastAndroid.show('Email already in use', ToastAndroid.SHORT);
				} else if (e.code == 'auth/invalid-email') {
					ToastAndroid.show('Invalid email address', ToastAndroid.SHORT);
				} else {
					ToastAndroid.show('Failed to sign up', ToastAndroid.SHORT);
				}

				throw e;
			});
	}, []);

	return signUp;
};

export default useSignup;
